svn commit: r15308 - trunk

[email protected]
Newsgroups gmane.comp.lang.uml.argouml.cvs
Message-ID <[email protected]>
Author: linus
Date: 2008-07-19 09:04:20-0700
New Revision: 15308

Added:
   trunk/build.bat   (contents, props changed)
   trunk/build.sh   (contents, props changed)

Log:
Added convenience scripts also on the top level of the project.

Added: trunk/build.bat
Url: http://argouml.tigris.org/source/browse/argouml/trunk/build.bat?view=auto&rev=15308
==============================================================================
--- (empty file)
+++ trunk/build.bat	2008-07-19 09:04:20-0700
@@ -0,0 +1,41 @@
+@echo off

+

+rem

+rem build.bat always calls the version of ant distributed with ArgoUML

+rem

+

+setlocal

+

+echo Searching for tools dir...

+

+set ANT_HOME=tools\apache-ant-1.7.0

+echo trying %ANT_HOME%

+if exist %ANT_HOME% goto antpathok

+

+echo Could not find tools dir.

+goto endfail

+

+:antpathok

+echo Ant Found

+

+:: Convert relative path to absolute

+pushd "%ANT_HOME%"

+set ANT_HOME=%CD%

+popd

+

+call "%ANT_HOME%\bin\ant" %1 %2 %3 %4 %5 %6 %7 %8 %9

+

+if ERRORLEVEL 1 goto endfail

+endlocal

+

+goto EOF

+

+:endfail

+echo.

+echo Build failed

+:: Wait for keypress so that error messages can be read.

+:: (Helps if user double clicked this .bat file)

+pause

+endlocal

+

+:EOF


Added: trunk/build.sh
Url: http://argouml.tigris.org/source/browse/argouml/trunk/build.sh?view=auto&rev=15308
==============================================================================
--- (empty file)
+++ trunk/build.sh	2008-07-19 09:04:20-0700
@@ -0,0 +1,52 @@
+#! /bin/sh
+# $Id$
+#
+# build.sh always calls the version of ant distributed with ArgoUML
+#
+
+# OS specific support.
+darwin=false
+case "`uname`" in
+    Darwin*) darwin=true;;
+esac
+
+# +-------------------------------------------------------------------------+
+# | Verify and Set Required Environment Variables                           |
+# +-------------------------------------------------------------------------+
+if [ "$JAVA_HOME" = "" ] ; then
+    if $darwin; then
+	# Set Java Home automatically
+        JAVA_HOME=/Library/Java/Home
+	export JAVA_HOME
+    else
+	echo "***************************************************************"
+	echo "  ERROR: JAVA_HOME environment variable not found."
+	echo ""
+	echo "  Please set JAVA_HOME to the Java JDK installation directory."
+	echo "***************************************************************"
+	exit 1
+    fi
+fi
+
+
+if [ -d `pwd`/tools ] ; then
+    ANT_HOME=`pwd`/tools/apache-ant-1.7.0
+else
+    echo "***************************************************************"
+    echo "  ERROR: tools directory not found."
+    echo ""
+    echo "  Please check-out the argouml tools directory to"
+    echo ""
+    echo " `pwd`/tools"
+    echo "***************************************************************"
+    exit 1
+fi
+
+echo ANT_HOME is: $ANT_HOME
+echo
+echo Starting Ant...
+echo
+
+$ANT_HOME/bin/ant $*
+
+#exit
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.